#ifndef _ATOMUTIL_H
#define _ATOMUTIL_H

//#include <astring.h>
#include <acomplex.h>
//------------------------------------------------------------------------------------------------
bool isnumericstr( const char* str );
bool isintstr( const char* str );
bool ishexstr( const char* str );
bool isoctstr( const char* str );
bool isbinstr( const char* str );
bool isdoublestr( const char* str );
bool isexponentstr( const char* str );
bool isrealstr( const char* str );
bool iscomplexstr( const char* str );
bool isstringstr( const char* str );
bool isexprstr( const char* str );
bool issymbolstr( const char* str );
bool isvectorstr( const char* str );
bool ismatrixstr( const char* str );
bool ismeasurestr( const char* str );
//-----------------------------------------------------------------------------
bool isprimenumber( int value );
//-----------------------------------------------------------------------------
double gamma( double x );
double psi( double x );
//------------------------------------------------------------------------------------------------
double dround( const double x, int prec );
double StrToDouble( const char* Value );
double StrEToDouble( const char* Value );
//------------------------------------------------------------------------------------------------
//AnsiString DoubleToStrE( double Value, int prec = 6 );
//------------------------------------------------------------------------------------------------
AnsiString bin2str( int value );
AnsiString oct2str( int value );
unsigned primes_table_check( unsigned long p );
//------------------------------------------------------------------------------------------------
void MsgBox( AnsiString Message, int Params = 0 );
//------------------------------------------------------------------------------------------------
#endif // _ATOMUTIL_H
